All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
HistogramEven
Statistical Operations

Primitives for computing the histogram of an image with evenly distributed bins. More...

## HistogramEven

The histogram is computed according to the ranges provided in .

The histogram is defined as the total number of pixels that fall into the range: . The number of the histogram bins is . The functions require additional scratch buffer for computations.

### Common parameters for nppiHistogramEven functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pHist | Pointer to array that receives the computed histogram. The array must be of size nLevels-1.
  pLevels | Pointer to array containing the level sizes of the bins. The array must be of size nLevels.
  nLevels | Number of levels in histogram.
  pBuffer | Pointer to appropriately sized (nppiHistogramRangeGetBufferSize_XX_XXX) scratch buffer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus | nppiEvenLevelsHost_32s_Ctx (Npp32s *hpLevels, int nLevels, Npp32s nLowerLevel, Npp32s nUpperLevel, NppStreamContext nppStreamCtx)
| Compute levels with even distribution. More...
NppStatus | nppiEvenLevelsHost_32s (Npp32s *hpLevels, int nLevels, Npp32s nLowerLevel, Npp32s nUpperLevel)
NppStatus | nppiHistogramEven_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, int nLevels, Npp32s nLowerLevel, Npp32s nUpperLevel, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned HistogramEven. More...
NppStatus | nppiHistogramEven_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, int nLevels, Npp32s nLowerLevel, Npp32s nUpperLevel, Npp8u *pBuffer)
NppStatus | nppiHistogramEven_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned HistogramEven. More...
NppStatus | nppiHistogramEven_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer)
NppStatus | nppiHistogramEven_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], int nLevels[4], Npp32s nLowerLevel[4], Npp32s nUpperLevel[4], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned HistogramEven. More...
NppStatus | nppiHistogramEven_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], int nLevels[4], Npp32s nLowerLevel[4], Npp32s nUpperLevel[4], Npp8u *pBuffer)
NppStatus | nppiHistogramEven_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned HistogramEven ignoring alpha channel. More...
NppStatus | nppiHistogramEven_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer)
NppStatus | nppiHistogramEven_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, int nLevels, Npp32s nLowerLevel, Npp32s nUpperLevel, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| One-channel 16-bit unsigned HistogramEven. More...
NppStatus | nppiHistogramEven_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, int nLevels, Npp32s nLowerLevel, Npp32s nUpperLevel, Npp8u *pBuffer)
NppStatus | nppiHistogramEven_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned HistogramEven. More...
NppStatus | nppiHistogramEven_16u_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer)
NppStatus | nppiHistogramEven_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], int nLevels[4], Npp32s nLowerLevel[4], Npp32s nUpperLevel[4], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned HistogramEven. More...
NppStatus | nppiHistogramEven_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], int nLevels[4], Npp32s nLowerLevel[4], Npp32s nUpperLevel[4], Npp8u *pBuffer)
NppStatus | nppiHistogramEven_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned HistogramEven ignoring alpha channel. More...
NppStatus | nppiHistogramEven_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer)
NppStatus | nppiHistogramEven_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, int nLevels, Npp32s nLowerLevel, Npp32s nUpperLevel, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| One-channel 16-bit signed HistogramEven. More...
NppStatus | nppiHistogramEven_16s_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, int nLevels, Npp32s nLowerLevel, Npp32s nUpperLevel, Npp8u *pBuffer)
NppStatus | nppiHistogramEven_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three-channel 16-bit signed HistogramEven. More...
NppStatus | nppiHistogramEven_16s_C3R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer)
NppStatus | nppiHistogramEven_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], int nLevels[4], Npp32s nLowerLevel[4], Npp32s nUpperLevel[4], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed HistogramEven. More...
NppStatus | nppiHistogramEven_16s_C4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], int nLevels[4], Npp32s nLowerLevel[4], Npp32s nUpperLevel[4], Npp8u *pBuffer)
NppStatus | nppiHistogramEven_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed HistogramEven ignoring alpha channel. More...
NppStatus | nppiHistogramEven_16s_AC4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], int nLevels[3], Npp32s nLowerLevel[3], Npp32s nUpperLevel[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer)
NppStatus | nppiHistogramRange_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned HistogramRange ignoring alpha channel. More...
NppStatus | nppiHistogramRange_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| One-channel 16-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_16u_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned HistogramRange ignoring alpha channel. More...
NppStatus | nppiHistogramRange_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| One-channel 16-bit signed HistogramRange. More...
NppStatus | nppiHistogramRange_16s_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three-channel 16-bit signed HistogramRange. More...
NppStatus | nppiHistogramRange_16s_C3R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed HistogramRange. More...
NppStatus | nppiHistogramRange_16s_C4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed HistogramRange. More...
NppStatus | nppiHistogramRange_16s_AC4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32f *pLevels, int nLevels, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| One-channel 32-bit floating point HistogramRange. More...
NppStatus | nppiHistogramRange_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32f *pLevels, int nLevels, Npp8u *pBuffer)
NppStatus | nppiHistogramRange_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32f *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating point HistogramRange. More...
NppStatus | nppiHistogramRange_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32f *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32f *pLevels[4], int nLevels[4], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point HistogramRange. More...
NppStatus | nppiHistogramRange_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32f *pLevels[4], int nLevels[4], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32f *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point HistogramRange ignoring alpha channel. More...
NppStatus | nppiHistogramRange_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32f *pLevels[3], int nLevels[3], Npp8u *pBuffer)

## HistogramEvenGetBufferSize

Companion primitives for computing the device buffer size (in bytes) required by the HistogramEven primitives.

### Common parameters for nppiHistogramEvenGetBufferSize functions include:

Parameters

  oSizeROI | Region-of-Interest (ROI).
  nLevels | Number of levels in the histogram.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.

Returns
  NPP_NULL_POINTER_ERROR if hpBufferSize is 0 (NULL), ROI Related Error Codes..

NppStatus | nppiHistogramEvenGetBufferSize_8u_C1R_Ctx (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
| Buffer size for nppiHistogramEven_8u_C1R. More...
NppStatus | nppiHistogramEvenGetBufferSize_8u_C1R (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
NppStatus | nppiHistogramEvenGetBufferSize_8u_C3R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Buffer size for nppiHistogramEven_8u_C3R. More...
NppStatus | nppiHistogramEvenGetBufferSize_8u_C3R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramEvenGetBufferSize_8u_C4R_Ctx (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
| Buffer size for nppiHistogramEven_8u_C4R. More...
NppStatus | nppiHistogramEvenGetBufferSize_8u_C4R (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
NppStatus | nppiHistogramEvenGetBufferSize_8u_AC4R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Buffer size for nppiHistogramEven_8u_AC4R. More...
NppStatus | nppiHistogramEvenGetBufferSize_8u_AC4R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramEvenGetBufferSize_16u_C1R_Ctx (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
| Buffer size for nppiHistogramEven_16u_C1R. More...
NppStatus | nppiHistogramEvenGetBufferSize_16u_C1R (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
NppStatus | nppiHistogramEvenGetBufferSize_16u_C3R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Buffer size for nppiHistogramEven_16u_C3R. More...
NppStatus | nppiHistogramEvenGetBufferSize_16u_C3R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramEvenGetBufferSize_16u_C4R_Ctx (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
| Buffer size for nppiHistogramEven_16u_C4R. More...
NppStatus | nppiHistogramEvenGetBufferSize_16u_C4R (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
NppStatus | nppiHistogramEvenGetBufferSize_16u_AC4R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Buffer size for nppiHistogramEven_16u_AC4R. More...
NppStatus | nppiHistogramEvenGetBufferSize_16u_AC4R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramEvenGetBufferSize_16s_C1R_Ctx (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
| Buffer size for nppiHistogramEven_16s_C1R. More...
NppStatus | nppiHistogramEvenGetBufferSize_16s_C1R (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
NppStatus | nppiHistogramEvenGetBufferSize_16s_C3R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Buffer size for nppiHistogramEven_16s_C3R. More...
NppStatus | nppiHistogramEvenGetBufferSize_16s_C3R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramEvenGetBufferSize_16s_C4R_Ctx (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
| Buffer size for nppiHistogramEven_16s_C4R. More...
NppStatus | nppiHistogramEvenGetBufferSize_16s_C4R (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
NppStatus | nppiHistogramEvenGetBufferSize_16s_AC4R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Buffer size for nppiHistogramEven_16s_AC4R. More...
NppStatus | nppiHistogramEvenGetBufferSize_16s_AC4R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)

## Detailed Description

Primitives for computing the histogram of an image with evenly distributed bins.

## Function Documentation

NppStatus nppiEvenLevelsHost_32s | ( | Npp32s * | hpLevels,
|  | int | nLevels,
|  | Npp32s | nLowerLevel,
|  | Npp32s | nUpperLevel
| ) |  |

NppStatus nppiEvenLevelsHost_32s_Ctx | ( | Npp32s * | hpLevels,
|  | int | nLevels,
|  | Npp32s | nLowerLevel,
|  | Npp32s | nUpperLevel,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Compute levels with even distribution.

Parameters

  hpLevels | A host pointer to array which receives the levels being computed. The array needs to be of size nLevels.
  nLevels | The number of levels being computed. nLevels must be at least 2.
  nLowerLevel | Lower boundary value of the lowest level.
  nUpperLevel | Upper boundary value of the greatest level.
  nppStreamCtx | Application Managed Stream Context.

Returns
  image_data_error_codes, or NPP_HISTO_NUMBER_OF_LEVELS_ERROR if an invalid nLevels is specified.

NppStatus nppiHistogramEven_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed HistogramEven ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEven_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | int | nLevels,
|  | Npp32s | nLowerLevel,
|  | Npp32s | nUpperLevel,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | int | nLevels,
|  | Npp32s | nLowerLevel,
|  | Npp32s | nUpperLevel,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit signed HistogramEven.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEven_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit signed HistogramEven.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEven_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | int | nLevels[4],
|  | Npp32s | nLowerLevel[4],
|  | Npp32s | nUpperLevel[4],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | int | nLevels[4],
|  | Npp32s | nLowerLevel[4],
|  | Npp32s | nUpperLevel[4],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed HistogramEven.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEven_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned HistogramEven ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEven_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | int | nLevels,
|  | Npp32s | nLowerLevel,
|  | Npp32s | nUpperLevel,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | int | nLevels,
|  | Npp32s | nLowerLevel,
|  | Npp32s | nUpperLevel,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit unsigned HistogramEven.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEven_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned HistogramEven.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEven_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | int | nLevels[4],
|  | Npp32s | nLowerLevel[4],
|  | Npp32s | nUpperLevel[4],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | int | nLevels[4],
|  | Npp32s | nLowerLevel[4],
|  | Npp32s | nUpperLevel[4],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned HistogramEven.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEven_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned HistogramEven ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEven_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | int | nLevels,
|  | Npp32s | nLowerLevel,
|  | Npp32s | nUpperLevel,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | int | nLevels,
|  | Npp32s | nLowerLevel,
|  | Npp32s | nUpperLevel,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned HistogramEven.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEven_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | int | nLevels[3],
|  | Npp32s | nLowerLevel[3],
|  | Npp32s | nUpperLevel[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned HistogramEven.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEven_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | int | nLevels[4],
|  | Npp32s | nLowerLevel[4],
|  | Npp32s | nUpperLevel[4],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramEven_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | int | nLevels[4],
|  | Npp32s | nLowerLevel[4],
|  | Npp32s | nUpperLevel[4],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned HistogramEven.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramEvenGetBufferSize_16s_AC4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_16s_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_16s_AC4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramEvenGetBufferSize_16s_C1R | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_16s_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_16s_C1R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramEvenGetBufferSize_16s_C3R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_16s_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_16s_C3R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramEvenGetBufferSize_16s_C4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_16s_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_16s_C4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramEvenGetBufferSize_16u_AC4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_16u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_16u_AC4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramEvenGetBufferSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_16u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_16u_C1R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramEvenGetBufferSize_16u_C3R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_16u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_16u_C3R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramEvenGetBufferSize_16u_C4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_16u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_16u_C4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramEvenGetBufferSize_8u_AC4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_8u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_8u_AC4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramEvenGetBufferSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_8u_C1R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramEvenGetBufferSize_8u_C3R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_8u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_8u_C3R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramEvenGetBufferSize_8u_C4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramEvenGetBufferSize_8u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiHistogramEven_8u_C4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRange_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit signed HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit signed HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned HistogramRange ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point HistogramRange ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32f * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32f * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 32-bit floating point HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating point HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32f * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32f * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned HistogramRange ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

Copyright © 2009-2020 NVIDIA Corporation